package cn.quantgroup.xyqb.model;

import lombok.Getter;
import lombok.Setter;

import java.security.Principal;
import java.util.Objects;

/**
 * Created by Miraculous on 15/7/9.
 */
@Getter
@Setter
public class AuthBean {

    private String token;
    private String phoneNo;
    private String uuid;
    private boolean hasPassword;
    private Boolean register;

    public AuthBean(String token, Principal user) {
        this.token = token;
        this.phoneNo = user.getName();
    }

    public AuthBean() {

    }

}
